<div class="hero min-h-screen bg-base-200">
  <div class="hero-content text-center">
    <div class="max-w-full">
      <div class="card w-72 bg-base-100 shadow-xl">
        <div class="card-body">
          <h2 class="font-semibold text-2xl">{{ firstName || "ไม่ทราบ" }}</h2>
          <p>
            <span class="font-semibold">
              {{ departmentName || "ไม่่ทราบแผนก" }}
            </span>
          </p>

          <div>
            <div class="badge badge-accent">
              <span class="font-semibold"> คิวที่ {{ queueNo || "0" }} </span>
            </div>
          </div>

          <div class="divider">คิวรับริการปัจจุบัน</div>

          <div class="space-y-4">
            <p>
              <span class="font-semibold text-3xl">
                {{ currentQueue || "0" }}
              </span>
            </p>
            @if (loading) {
            <div class="text-center">
              <span class="loading loading-spinner text-primary"></span>
            </div>
            }
            <p>
              <span class="text-sm">
                อัปเดท {{ updatedAt || "00:00:00" }} น.
              </span>
            </p>
          </div>

          <div class="card-actions">
            <div class="flex w-full">
              <div class="flex-grow">
                <button class="btn btn-primary" routerLink="/verify">
                  คิวอื่น
                </button>
              </div>
              <div class="flex-grow">
                <button class="btn btn-secondary" (click)="getViewer()">
                  รีเฟรช
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
